Bug 1120447 - Review Request: tiptop - Performance monitoring tool based on hardware counters
Summary: Review Request: tiptop - Performance monitoring tool based on hardware counters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1121188 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 00:48 UTC by Christopher Meng
Modified: 2014-07-28 03:28 UTC (History)
3 users (show)

Fixed In Version: tiptop-2.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-18 02:10:34 UTC
mail: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Meng 2014-07-17 00:48:15 UTC
Spec URL: http://us-la.cicku.me/tiptop.spec
SRPM URL: http://us-la.cicku.me/tiptop-2.2-1.fc22.src.rpm
Description: Hardware performance monitoring counters have recently received a lot of attention. They have been used by diverse communities to understand and 
improve the quality of computing systems: For example, architects use them to 
extract application characteristics and propose new hardware mechanisms; 
compiler writers study how generated code behaves on particular hardware; 
software developers identify critical regions of their applications and 
evaluate design choices to select the best performing implementation. We 
propose that counters be used by all categories of users, in particular 
non-experts, and we advocate that a few simple metrics derived from these 
counters are relevant and useful. For example, a low IPC (number of executed 
instructions per cycle) indicates that the hardware is not performing at its 
best; a high cache miss ratio can suggest several causes, such as conflicts 
between processes in a multicore environment.

Tiptop is a performance monitoring tool for Linux. It provides a dynamic 
real-time view of the tasks running in the system. Tiptop is very similar to 
the top utility, but most of the information displayed comes from hardware 
counters.
Fedora Account System Username: cicku

Comment 1 Fabian Affolter 2014-07-17 11:17:55 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 33 files have unknown license. Detailed output of
     licensecheck in
     /home/fab/Documents/repos/reviews/1120447-tiptop/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tiptop-2.2-1.fc20.x86_64.rpm
          tiptop-2.2-1.fc20.src.rpm
tiptop.x86_64: W: spelling-error %description -l en_US multicore -> multicolored
tiptop.x86_64: W: manual-page-warning /usr/share/man/man1/tiptop.1.gz 316: warning: macro `..' not defined
tiptop.x86_64: W: no-manual-page-for-binary ptiptop
tiptop.src: W: spelling-error %description -l en_US multicore -> multicolored
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint tiptop
tiptop.x86_64: W: spelling-error %description -l en_US multicore -> multicolored
tiptop.x86_64: W: manual-page-warning /usr/share/man/man1/tiptop.1.gz 316: warning: macro `..' not defined
tiptop.x86_64: W: no-manual-page-for-binary ptiptop
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
tiptop (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libncurses.so.5()(64bit)
    libtinfo.so.5()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    rtld(GNU_HASH)



Provides
--------
tiptop:
    tiptop
    tiptop(x86-64)



Source checksums
----------------
http://tiptop.gforge.inria.fr/releases/tiptop-2.2.tar.gz :
  CHECKSUM(SHA256) this package     : 965cb99b16cb59df78363d83b62877ce8501b0aac1116a86bed8a16aa96b171d
  CHECKSUM(SHA256) upstream package : 965cb99b16cb59df78363d83b62877ce8501b0aac1116a86bed8a16aa96b171d


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1120447
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

I didn't find any indication that it is GPLv2+. Can you please re-check that before pushing this package?

Package APPROVED

Comment 2 Christopher Meng 2014-07-17 13:19:21 UTC
New Package SCM Request 
======================= 
Package Name: tiptop
Short Description: Performance monitoring tool based on hardware counters
Upstream URL: http://tiptop.gforge.inria.fr/
Owners: cicku 
Branches: f19 f20 f21 el6 epel7

Comment 3 Gwyn Ciesla 2014-07-17 15:48:51 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-18 02:13:34 UTC
tiptop-2.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tiptop-2.2-1.fc19

Comment 5 Fedora Update System 2014-07-18 02:13:40 UTC
tiptop-2.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tiptop-2.2-1.fc20

Comment 6 Fabian Affolter 2014-07-18 15:51:37 UTC
*** Bug 1121188 has been marked as a duplicate of this bug. ***

Comment 7 Dridi Boukelmoune 2014-07-18 16:34:23 UTC
Hi Christopher,

I have sent patches upstream for my own submission (bug 1121188):
https://gforge.inria.fr/tracker/?func=detail&group_id=3205&atid=11049&aid=17729

Sorry for the duplicate, a friend had shown me tiptop 2 days ago, a few hours before your review request!

Comment 8 Christopher Meng 2014-07-19 02:15:28 UTC
Feel free to request ACL if you want to maintain and patch it.

Comment 9 Fedora Update System 2014-07-20 03:25:32 UTC
tiptop-2.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-07-28 03:28:01 UTC
tiptop-2.2-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.